.. _declarative_toplevel:

Declarative
===========

.. automodule:: sqlalchemy.ext.declarative

API Reference
-------------

.. autofunction:: declarative_base

.. autofunction:: as_declarative

.. autoclass:: declared_attr

.. autofunction:: sqlalchemy.ext.declarative.api._declarative_constructor

.. autofunction:: has_inherited_table

.. autofunction:: synonym_for

.. autofunction:: comparable_using

.. autofunction:: instrument_declarative

.. autoclass:: AbstractConcreteBase

.. autoclass:: ConcreteBase

.. autoclass:: DeferredReflection
   :members:
